package cn.cecep.talroad.enums;

/**
 * Bas_device表 type枚举
 */


public enum BasDeviceTypeEnum {
    BL_SCX("玻璃", "SCX", "玻璃"),
    DL_GUL("电力", "GUL", "锅炉"),
    DL_FDJZ("电力", "FDJZ", "发电机组"),
    EL_ELEC("分表计电", "ELEC", "分表计电"),
    FS_WLJSZC("焚烧", "FS", "焚烧"),
    FS_GFCL("焚烧", "GFCL", "固废处理单元"),
    FS_FSL("焚烧", "FSL", "固废处理单元"),
    FS_FSCL("焚烧", "FSCL", "废水处理站"),
    FS_LGC("焚烧", "LGC", "垃圾池"),
    GT_JL("钢铁", "SJJ", "焦炉"),
    GT_SJJ("钢铁", "SJJ", "烧结机"),
    GT_SL("钢铁", "SL", "竖炉"),
    GT_GL("钢铁", "GL", "高炉"),
    GT_ZL("钢铁", "ZL", "转炉"),
    GT_LY("钢铁", "LY", "炉窑"),
    GT_FDJZ("钢铁", "FDJZ", "发电"),
    GT_GLMQ("钢铁", "GLMQ", "高炉煤气放散"),
    GT_ZLMQ("钢铁", "ZLMQ", "转炉煤气放散"),
    GT_PLPD("钢铁", "PLPD", "配料皮带"),
    JH_BJCC("焦化", "BJCC", "苯和焦油储槽"),
    JH_CB("焦化", "CB", "粗苯"),
    JH_SJJ("焦化", "SJJ", "焦化"),
    JH_JLFST("焦化", "SJJ", "焦炉煤气放散塔"),
    JH_VOC("焦化", "VOC", "VOC治理"),
    JH_ZBDC("焦化", "ZBDC", "自备电厂"),
    JH_MQGW("焦化", "MQGW", "煤气管网"),
    JH_JLMQ("焦化", "JLMQ", "焦炉煤气"),
    JH_FDJZ("焦化", "JLMQ", "发电"),
    JH_GXJ("焦化", "GXJ", "干熄焦"),
    JH_JL("焦化", "GXJ", "焦炉"),
    SN_SNY("水泥", "SNY", "熟料烧成"),
    PW_PWXK("", "XK", "排污许可设施"),

    ;

    private String code;
    private String industry;
    private String name;

    BasDeviceTypeEnum(String industry, String code, String name) {
        this.industry = industry;
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }
}

